%define name smeserver-phpvirtualbox
%define version 5.2.1
%define release 6
%define rpmver   5.2.1
Summary: smserver rpm to install phpvirtualbox
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: %{name}-%{version}.tar.gz
License: GNU GPL version 2
URL: http://mirror.de-labrusse.fr
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 10.0
Requires: php-soap
Requires: phpvirtualbox = 5.2.1
Requires: smeserver-virtualbox = 5.2

AutoReqProv: no
%description
smserver rpm to install phpvirtualbox : An open source, AJAX implementation of the VirtualBox user interface written in PHP. As a 
modern web interface, it allows you to access and control remote VirtualBox instances. phpVirtualBox is designed to allow users to 
administer VirtualBox in a headless environment - mirroring the VirtualBox GUI through its web interface.
phpvirtualbox version MUST align with VirtualBox version (i.e. VirtualBox-6.1 requires phpvirtualbox-6.1)

%changelog
* Wed Mar 22 2023 Brian Read <brianr@bjsystems.co.uk> 5.2.1-6.sme
- fix [SME: ]

* Wed Mar 22 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Mar 19 2023 Trevor batley <trevor@batley.id.au> 5.2.1-5
- fix permissions on /opt/vbox/ISOs directory for sharing via samba 0777 [bug #12336]
- fix smb.conf fragment to include Users [bug #12336]
- fix smb.conf fragment to properly include more than 1 group in userGroups [bug #12336]
- add phpvirtualbox samba config item to allow control of if, and who, has access [bug # 12337]

* Fri Mar 10 2023 Trevor Batley <trevor@batley.id.au> 5.2.1-4
- add vbox password back into config.php
- replace /etc/php-fpm.d/phpvirtualbox with /etc/php-fpm.d/www.conf fragment and expand during update
- remove webauth config db item and add authType, with multiple values
- add support for BuiltIn, WebAuth (default), LDAP and AD authentication
- rename config items User => Users, Group => userGroups and add adminUser
- remove defaults for User and Group config items
- add basic default values for config.php as config db items (with same name) and allow entry of other config items
- create /var/lib/php/phpvirtualbox directories (opcache, session, tmp) with www:www ownership and 0755 permissions
- correct permissions on log files
- add smb.conf fragment to allow vboxuser and any userGroups access to /opt/vbox (VMs & ISOs) directories
- add restart of httpd-e-smith and smbd services on update
- create template2expand directive for virtualbox update (which generates/saves new password) for /opt/phpvirtualbox/config.php

* Thu Oct 20 2022 Trevor Batley <trevor@batley.id.au> 5.2.1-3
- remove vbox passwd from config.php

* Wed Oct 19 2022 Trevor Batley <trevor@batley.id.au> 5.2.1-2
- vbox user home directory moved

* Tue Oct 11 2022 Trevor Batley <trevor@batley.id.au> 5.2.1-1
- Initial import to sme10
- requires phpvirtualbox 5.2.1, smeserver-virtualbox 5.2
- upgrade to httpd 2.4
- use php74-php-fpm
- bundle up patches and release new tarball

* Thu Aug 06 2015 stephane de labrusse <stephdl@de-labrusse.fr> 5.0.0-1
- require to phpvirtualbox-5.0

* Sun May 18 2014 stephane de labrusse <stephdl@de-labrusse.fr> 4.3.1-3
- first release to sme9
- unixgroup removed from the contribs
- fix ssl redirection

* Wed Mar 19 2014 stephane de labrusse <stephdl@de-labrusse.fr> 4.3.1-1
- due to the bug correction of phpvirtualbox, this version give back the web authentication with migrate fragment update
* Wed Jan 08 2014 JP Pialasse <tests@pialasse.com> 4.3.0-10.sme
- changing requires to phpvirtualbox = 4.3
* Mon Dec 30 2013 JP Pialasse <tests@pialasse.com> 4.3.0-9.sme
- renaming to import into buildsys
* Fri Dec 13 2013 stephane de labrusse <stephdl@de-labrusse.fr> 4.3.0-8
- remove the web authentication for the buildin phpvirtualbox authentication 
* Sun Nov 10 2013 stephane de labrusse <stephdl@de-labrusse.fr> 4.3.0-7
- removing dependance to smeserver-virtualbox-4.3
* Tue Nov 05 2013 stephane de labrusse <stephdl@de-labrusse.fr> 4.3.0-6
- change name to match the phpvirtualbox version
* Wed Oct 23 2013 stephane de labrusse <stephdl@de-labrusse.fr> 4.3.0-5
- Clean 92phpvirtualbox to force only the localnetwork
- Add the plugin unixgroup (from pwauth) to allow unix groups to reach the apache server.
- you can see http://code.google.com/p/pwauth/ for more informations
* Sun Oct 20 2013 stephane de labrusse <stephdl@de-labrusse.fr> 4.3.0-4
- Force https protocol for phpvirtualbox
* Sat Oct 19 2013 stephane de labrusse <stephdl@de-labrusse.fr> 4.3.0-3
- Initial release

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
mkdir -p $RPM_BUILD_ROOT/opt/vbox/{ISOs,VMs}
mkdir -p $RPM_BUILD_ROOT/var/log/php/phpvirtualbox
mkdir -p $RPM_BUILD_ROOT/var/lib/php/phpvirtualbox/{opcache,tmp,session}
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
 --dir /opt/vbox 'attr(0755,vbox,vboxusers)' \
 --dir /opt/vbox/ISOs 'attr(0777,vbox,vboxusers)' \
 --dir /opt/vbox/VMs 'attr(0774,vbox,vboxusers)' \
 --dir /var/log/php/phpvirtualbox  'attr(0755,www,www)' \
 --dir /var/lib/php/phpvirtualbox  'attr(0755,www,www)' \
 --dir /var/lib/php/phpvirtualbox/tmp 'attr(0755,www,www)' \
 --dir /var/lib/php/phpvirtualbox/opcache 'attr(0755,www,www)' \
 --dir /var/lib/php/phpvirtualbox/session 'attr(0755,www,www)' \
 > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post

%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
 /sbin/e-smith/systemctl restart httpd-e-smith
fi
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

